package com.fairphone.moduledetect;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import androidx.annotation.NonNull;

public class BootUpReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (!Intent.ACTION_BOOT_COMPLETED.equals(intent.getAction())) {
            return;
        }
        CameraModules modules = new CameraModules(context);
        modules.updateCameraDetection();
        if (modules.changedSinceLastBoot()) {
            onCameraModulesChanged(context, modules);
        }
    }

    private void onCameraModulesChanged(@NonNull Context context, @NonNull CameraModules modules) {
        ModuleDetectUtils.handleActionModuleChanged(
                context,
                modules.frontCameraChangedSinceLastBoot(),
                modules.mainCameraChangedSinceLastBoot());
    }
}
